Subject: [Bug 205283] BUG: KASAN: global-out-of-bounds in _copy_to_iter+0x3d4/0x5a8

From: [email-masked]
Date: Sat, 18 Jan 2020 11:30:28 +0000

https://bugzilla.kernel.org/show_bug.cgi?id=205283

--- Comment #16 from Erhard F. ([email-masked]) ---
(In reply to Christophe Leroy from comment #15)
> (In reply to Erhard F. from comment #12)
> > Applied your patch series on top of 5.5-rc6. CONFIG_KASAN_VMALLOC is not
> > non-selectable but forced on by default.
> > 
> I can't understand.
> 
> When I'm using 'make menuconfig', as far as 'module support' is selected,
> CONFIG_KASAN_VMALLOC is selected and cannot be unselected.
> 
> How do you manage to select something else than 'on' ?
Apologies for my fiddly wording. I see now that I wrote it's now 'not
non-selectable' which should have been 'not selectable' due to the patch
series.

Anyway, of course it's forced on by default as you said. This can be seen in
the short grep -i kasan .config I posted above.

-- 
You are receiving this mail because:
You are watching someone on the CC list of the bug.